$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.39.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.39.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '75F690A35EE0D6BE2DAC8CEA3F404C2BDEC00764653D8241F5AA9FB0C3B5FEC7'
  checksumType = 'sha256'
  checksum64 = '75F690A35EE0D6BE2DAC8CEA3F404C2BDEC00764653D8241F5AA9FB0C3B5FEC7'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-22.0.39-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
